Package picard.util

## Enum IntervalListTools.Action

- java.lang.Object
- - java.lang.Enum<IntervalListTools.Action>
  - - picard.util.IntervalListTools.Action

- All Implemented Interfaces:
    `Serializable`, `Comparable<IntervalListTools.Action>`, `org.broadinstitute.barclay.argparser.CommandLineParser.ClpEnum`
  Enclosing class:
    IntervalListTools

      public static enum IntervalListTools.Action
      extends Enum<IntervalListTools.Action>
      implements org.broadinstitute.barclay.argparser.CommandLineParser.ClpEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONCAT` |
    `INTERSECT` |
    `OVERLAPS` |
    `SUBTRACT` |
    `SYMDIFF` |
    `UNION` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getHelpDoc()` |
    `static IntervalListTools.Action` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static IntervalListTools.Action[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONCAT

          public static final IntervalListTools.Action CONCAT

    - #### UNION

          public static final IntervalListTools.Action UNION

    - #### INTERSECT

          public static final IntervalListTools.Action INTERSECT

    - #### SUBTRACT

          public static final IntervalListTools.Action SUBTRACT

    - #### SYMDIFF

          public static final IntervalListTools.Action SYMDIFF

    - #### OVERLAPS

          public static final IntervalListTools.Action OVERLAPS

  - ### Method Detail

    - #### values

          public static IntervalListTools.Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IntervalListTools.Action c : IntervalListTools.Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IntervalListTools.Action valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getHelpDoc

          public String getHelpDoc()

      Specified by:
        `getHelpDoc` in interface `org.broadinstitute.barclay.argparser.CommandLineParser.ClpEnum`